%{?nodejs_find_provides_and_requires}

%global packagename performance-now

# disable tests, as timers seem to be returning slightly early, at least on
# my machine
%global enable_tests 0

Name:		nodejs-performance-now
Version:	2.1.0
Release:	1%{?dist}
Summary:	Implements performance.now (based on process.hrtime)

License:	MIT
URL:		https://github.com/braveg1rl/performance-now
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
%endif

%description
Implements performance.now (based on process.hrtime).


%prep
%autosetup -n package -p 1

%build
mkdir -p lib
rm -rf lib/
coffee --compile -m --output lib/ src/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mkdir -p node_modules/.bin/
ln -sf /usr/bin/coffee node_modules/.bin/coffee
%{_bindir}/mocha -R spec --require coffee-script/register --compilers coffee:coffee-script/register
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license license.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Dec 14 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Initial packaging
